English Amiga Board

English Amiga Board (http://eab.abime.net/index.php)
-   News (http://eab.abime.net/forumdisplay.php?f=29)
-   -   MUI 5.0-2018R1 OS3/OS4 Released (http://eab.abime.net/showthread.php?t=85793)

AMIGASYSTEM 01 February 2017 00:43

MUI 5.0-2018R1 OS3/OS4 Released
 
1 Attachment(s)
http://eab.abime.net/attachment.php?...1&d=1543267370


MUI 5.0-2018R3:

The MUI for AmigaOS development team is proud to announce the immediate release of version 5.0-2018R3 of the Magic User Interface for AmigaOS4/PPC and AmigaOS3/m68k.

Like all former releases a keyfile is required to enable all available settings. Old keyfiles from MUI 3.8 can be used without any restriction.

Please note that MUI5 for AmigaOS3/m68k is definitely targeted at powerful systems with a fast CPU and a fast graphic board. Although it is still possible to run this release on a real 68k machine an emulation like WinUAE is very highly recommended. Also colormapped screens with 256 colors at most are still supported, but MUI5 makes heavy use of fancy truecolor images and effects which cannot be provided on colormapped screens with the full range of possibilities.


ChangeLog 6360 2018-11-01

MUI 5.0-2018R3 OS3/OS4: Download

Retrofan 01 February 2017 00:52

Thanks a lot for the info.

Locutus 01 February 2017 02:17

I'm surprised they keep releasing 68k builds of that.....thing.

honx 01 February 2017 10:09

you still have to pay for that... thing... thanks, but no thanks.
for your money you get a generic key which is not your name.
for mui version which comes with os 4.1 you have to pay extra.
as the key of 3.8 doesn't work there. thanks, but no thanks.

AMIGASYSTEM 01 February 2017 10:45

Quote:

Originally Posted by Locutus (Post 1138247)
I'm surprised they keep releasing 68k builds of that.....thing.

Why should they not do the version 68k?
My screenshots exhibition its functionality

Daedalus 01 February 2017 10:49

Quote:

Originally Posted by honx (Post 1138268)
you still have to pay for that... thing...

Only if you want the original customisation options. It's free to use otherwise. Whether you actually need it depends on what software you use, but if you need it, it's there and it's free.

vulture 01 February 2017 13:15

Yup, exactly that. I see no reason why it shouldn't be further developed, basic function is free and no one's forced to use it. It's good to have anything still developed for 68k even if it's usable under winuae imo.

Overflow 01 February 2017 13:32

Anyone tested it with Vampire equipped 3.x machines? I guess MUI has to be optimized for the core to be viable...?

clebin 01 February 2017 13:40

Quote:

Originally Posted by AMIGASYSTEM (Post 1138276)
Why should they not do the version 68k?
My screenshots exhibition its functionality

Agree.

This seems to come up in every MUI5 thread. Not everything has to run on a 68020. It's not designed for low-end Amigas and that's just fine. The key file thing? Maybe it'll be resolved in time, but can't people find something more important to complain about? If there are bugs, then report them and help make the software better.

Active development should be encouraged even if something thinks they could do a better job if they weren't so lazy/busy/whatever.

If you're not actively working on, say, porting and improving Zune on OS3.x as an open-source alternative to MUI, then what gives you the right to bitch about people who actually got off their arse and did something?

Quote:

I'm surprised they keep releasing 68k builds of that.....thing.
Quote:

you still have to pay for that... thing
This is what I mean. Why be so bloody rude?

honx 01 February 2017 15:05

Quote:

Originally Posted by clebin (Post 1138289)
Quote:

Originally Posted by honx (Post 1138268)
you still have to pay for that... thing...

This is what I mean. Why be so bloody rude?

you should have read my entire post:
Quote:

Originally Posted by honx (Post 1138268)
you still have to pay for that... thing... thanks, but no thanks.
for your money you get a generic key which is not your name.
for mui version which comes with os 4.1 you have to pay extra.
as the key of 3.8 doesn't work there. thanks, but no thanks.

i wouldn't have any problem paying for software, that's not the point.
but IF i pay for something with MY money, i want MY name in regfile.
don't want a generic fantasy name which has nothing to do with me.
in such a case could i would use a crack without paying anything.
and this keyfile thing hasn't been resolved for over 10 years now.
so it's quite obvious for me, that it will NEVER be resolved...

and i also have a problem with paying TWICE for one software.

michaelz 01 February 2017 15:17

Hm, muidev website states you can use your 3.8 keyfile with version 5.

honx 01 February 2017 15:43

Quote:

Originally Posted by michaelz (Post 1138298)
Hm, muidev website states you can use your 3.8 keyfile with version 5.

with mui which comes with amigaos 4.1 fe it doesn't work.

clebin 01 February 2017 16:10

Quote:

Originally Posted by honx (Post 1138297)
you should have read my entire post:

I didn't have a problem with the rest of your post. I don't think the keyfile is a big issue, but whatever - it's your opinion and that's fine by me. But why repeat Locutus' phrase "that... thing"? It's not constructive, it's just rude.

AMIGASYSTEM 01 February 2017 19:04

Quote:

Originally Posted by honx (Post 1138303)
with mui which comes with amigaos 4.1 fe it doesn't work.

It works, where you copied the file MUI.Key?

honx 01 February 2017 23:29

Quote:

Originally Posted by AMIGASYSTEM (Post 1138335)
It works, where you copied the file MUI.Key?

directly into mui folder.

Retrofan 01 February 2017 23:45

Put it in L . Then open IBrowse and you will see the difference.

AMIGASYSTEM 02 February 2017 01:40

Quote:

Originally Posted by honx (Post 1138389)
directly into mui folder.

Yes fine too in dir MUI, you can also put in "L" or "S", but remember to reboot the system otherwise it will not be found

emufan 23 June 2017 21:00

1 Attachment(s)
i've some problem with mui5 - when in main config (sys:mui/mui tool)
i select for example "window" on the left and the before readable gui gets worse.
when I try to change a font in that section, it fails - unable to decipher what is in the font boxes.
any idea what i can do to make it genuine again?

#1) did saved some global prefs, now the gui font is all the time that small.
removed some prefs from envarc:mui folder (global/mui) nothing changed.

the font i could type in manualy now - but doesnt change things.

any idea?

#2) WCS did the trick - I opened the mui config for WCS (world Construction Set),
this one has a useable gui setup - saved this as a setting ( left setting drop down menu)

once in sys:mui/mui again I just selected and the earlier saved
setting and now MUI default app is usable again.

thanks for the hints.

#3) found another one which has the same problem, Pagestream script:
MuiPictureCatalog from aminet - uses rxmui.
the config file again has some strange font settings, those / followed by negative numbers.

James 02 July 2017 02:32

Surprised no one has posted about the new version yet.

https://muidev.de/downloads

It includes a replacement for PatchASL, but think I still prefer MagicASL at the moment...

emufan 02 July 2017 02:44

just installed - some of my mui apps still have the tiny-font problem.
next to this, there are no problems.
I skiped the asl patch too - i already use some reqtool patch :)


All times are GMT +2. The time now is 00:50.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.

Page generated in 0.04793 seconds with 11 queries